Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.lifecycle
Class PageLifecycleFactory

`java.lang.Object
oracle.adf.controller.lifecycle.PageLifecycleFactory`

Direct Known Subclasses:
  DefaultPageLifecycleFactory

public abstract class PageLifecycleFactory
extends java.lang.Object

A factory to create PageLifecycle instances.

Subclass PageLifecycleFactory to create your own PageLifecycleFactory and provide alternate `PageLifecycle` instance to all web page. Specify your PageLifecycleFactory subclass in the web-xml file using the ADFPageLifecycleFactory init param:

     <web-app>
       <context-param>
         <param-name>ADFPageLifecycleFactory</param-name>
         <param-value>mypackage.myLifecycleFactory</param-value>
       </context-param>
       ...
     </web-app>

If no alternate PageLifecycleFactory is defined in the web-xml, the default is to use `DefaultPageLifecycleFactory`.

Since:
  9.0.5

Field Summary
`static java.lang.String` | `INIT_PARAM` Name of the servlet context init parameter used to defined a customize PageLifecycleFactory.
`static java.lang.String` | `LIFECYCLE_FACTORY_ATTR` Name of the servlet context attribute used to save the instance of the LifecycleFactory for this web application.

Constructor Summary
`protected` | `PageLifecycleFactory()`

Method Summary
`static PageLifecycleFactory` | `getInstance(javax.servlet.ServletContext servletContext)` Helper method to instanciate the factory given the ServletContext.
`abstract PageLifecycle` | `getPageLifecycle(java.lang.String path)` Return a PageLifecycle for given a page path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INIT_PARAM

    public static final java.lang.String INIT_PARAM

  Name of the servlet context init parameter used to defined a customize PageLifecycleFactory. The value of this parameter is the fully qualified class name of the new factory.
  See Also:
    Constant Field Values

### LIFECYCLE_FACTORY_ATTR

    public static final java.lang.String LIFECYCLE_FACTORY_ATTR

  Name of the servlet context attribute used to save the instance of the LifecycleFactory for this web application.
  See Also:
    Constant Field Values

Constructor Detail

### PageLifecycleFactory

    protected PageLifecycleFactory()

Method Detail

### getInstance

    public static PageLifecycleFactory getInstance(javax.servlet.ServletContext servletContext)

  Helper method to instanciate the factory given the ServletContext. The ServletContext possibly contain the class name of a sustitued factory as the value an init parameter named "ADFPageLifecycleFactory". Once the factory class is determined, the instance is cached as a parameter of the servlet context.
  Parameters:
    `servletContext` -
  Returns:
    the instance

### getPageLifecycle

    public abstract PageLifecycle getPageLifecycle(java.lang.String path)

  Return a PageLifecycle for given a page path. The customized lifecycle should subclass PageLifecycle to support the base functionality. The page path give the flexibility of returning a different lifecycle for different type of web page like jsp, xml or uix.
  Parameters:
    `path` - the web page path
  Returns:
    a customized PageLifecycle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Controller Java API Reference 10g Release 3 (10.1.3) B16004-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.